## net.sf.saxon.number
Class Numberer_de

    java.lang.Object
      |
      +--net.sf.saxon.number.Numberer_en
            |
            +--net.sf.saxon.number.Numberer_de

All Implemented Interfaces:
  Numberer, java.io.Serializable

public class Numberer_de
extends Numberer_en

Class Numberer_de is designed simply to demonstrate how to write a number formatter for a different language. This one will be activated for language="de", format="eins", letter-value="traditional"

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.number.Numberer_en
`cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, kanjiDigits, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

Constructor Summary
`Numberer_de()`

Method Summary
`java.lang.String` `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`java.lang.String` `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`protected java.lang.String` `ordinalSuffix(java.lang.String ordinalParam, long number)` Construct the ordinal suffix for a number, for example "st", "nd", "rd"
`java.lang.String` `toOrdinalWords(java.lang.String ordinalParam, long number, int wordCase)` Show an ordinal number as German words (for example, Einundzwanzigste)
`java.lang.String` `toWords(long number)` Show the number as words in title case.

Methods inherited from class net.sf.saxon.number.Numberer_en
`alphaDefault, format, halfDayName, toAlpha, toAlphaSequence, toRoman, toWords`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_de

    public Numberer_de()

Method Detail

### ordinalSuffix

    protected java.lang.String ordinalSuffix(java.lang.String ordinalParam,
                                             long number)

  Construct the ordinal suffix for a number, for example "st", "nd", "rd"

  Overrides:
    `ordinalSuffix` in class `Numberer_en`
  Parameters:
    `ordinalParam` - the value of the ordinal attribute (used in non-English language implementations)
    `number` - the number being formatted
  Returns:
    the ordinal suffix to be appended to the formatted number

### toWords

    public java.lang.String toWords(long number)

  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Overrides:
    `toWords` in class `Numberer_en`

### toOrdinalWords

    public java.lang.String toOrdinalWords(java.lang.String ordinalParam,
                                           long number,
                                           int wordCase)

  Show an ordinal number as German words (for example, Einundzwanzigste)

  Overrides:
    `toOrdinalWords` in class `Numberer_en`

### monthName

    public java.lang.String monthName(int month,
                                      int minWidth,
                                      int maxWidth)

  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Overrides:
    `monthName` in class `Numberer_en`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public java.lang.String dayName(int day,
                                    int minWidth,
                                    int maxWidth)

  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Overrides:
    `dayName` in class `Numberer_en`
  Parameters:
    `day` - The month number (1=Sunday, 7=Saturday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters